Locale::getKeywords
Locale::getRegion
Locale
PHP Manual

# Locale::getPrimaryLanguage

# locale_get_primary_language

Gets the primary language for the input locale

### Description

Object oriented style

public static string Locale::getPrimaryLanguage ( string `$locale` )

Procedural style

string locale_get_primary_language ( string `$locale` )

Gets the primary language for the input locale

### Parameters

`locale`

  The locale to extract the primary language code from

### Return Values

The language code associated with the language or `NULL` in case of error.

### Examples

Example #1 locale_get_primary_language example

`<?php
echo locale_get_primary_language('zh-Hant');
?>`

Example #2 OO example

`<?php
echo Locale::getPrimaryLanguage('zh-Hant');
?>`

The above example will output:

    zh

### See Also

- locale_get_script
- locale_get_region
- locale_get_all_variants